using Hotline.Share.Dtos.Settings;
using Hotline.Share.Requests;
using Microsoft.AspNetCore.Http;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Systems
{
	public interface ISystemLogApplication
	{
		Task AddLog<T>(string name, string res, T entity, HttpContext context,string crName ="");

		Task<bool> HasByIpUrlAsync(string ipUrl);

		ISugarQueryable<SystemLogDto> GetSystemLotItems(SysLogPagedKeywordRequest dto);
    }
}
